Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core
Class CoreConstants

    java.lang.Object
      org.jboss.portal.core.CoreConstants

    public final class CoreConstants

extends java.lang.Object

Version:
  $Revision: 11745 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `CoreConstants.Servlet` Servlet constants.

Field Summary
`static java.lang.String` | `JBOSS_PORTAL_CONTENT_NAMESPACE` The namespace for JBoss Portal content integration framework.
`static javax.xml.namespace.QName` | `JBOSS_PORTAL_CONTENT_PARAMETERS`
`static javax.xml.namespace.QName` | `JBOSS_PORTAL_CONTENT_URI`
`static java.lang.String` | `JBOSS_PORTAL_NAMESPACE`
`static java.lang.String` | `JBOSS_PORTAL_PAGE_NAMESPACE` The namespace for the page integration.
`static javax.xml.namespace.QName` | `JBOSS_PORTAL_PAGE_TITLE` This name can be used as a page parameter.
`static javax.xml.namespace.QName` | `JBOSS_PORTAL_SIGN_OUT` SignOut event

Constructor Summary
`CoreConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JBOSS_PORTAL_NAMESPACE

    public static final java.lang.String JBOSS_PORTAL_NAMESPACE

See Also:
  Constant Field Values

### JBOSS_PORTAL_SIGN_OUT

    public static final javax.xml.namespace.QName JBOSS_PORTAL_SIGN_OUT

  SignOut event

### JBOSS_PORTAL_CONTENT_NAMESPACE

    public static final java.lang.String JBOSS_PORTAL_CONTENT_NAMESPACE

  The namespace for JBoss Portal content integration framework.

  See Also:
    Constant Field Values

### JBOSS_PORTAL_CONTENT_URI

    public static final javax.xml.namespace.QName JBOSS_PORTAL_CONTENT_URI

### JBOSS_PORTAL_CONTENT_PARAMETERS

    public static final javax.xml.namespace.QName JBOSS_PORTAL_CONTENT_PARAMETERS

### JBOSS_PORTAL_PAGE_NAMESPACE

    public static final java.lang.String JBOSS_PORTAL_PAGE_NAMESPACE

  The namespace for the page integration.

  See Also:
    Constant Field Values

### JBOSS_PORTAL_PAGE_TITLE

    public static final javax.xml.namespace.QName JBOSS_PORTAL_PAGE_TITLE

  This name can be used as a page parameter. It denotes a special parameter which is the page title.

Constructor Detail

### CoreConstants

    public CoreConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD